<?php session_start(); ?>
<!doctype html>
<?php include('db/idl_connect.php');?>

<html>
<head>

	<meta charset="utf-8" />
	<title>Aide - InfodocLog</title>
	<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
	<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />
	<link rel="stylesheet" href="include/fontawesome/css/all.css">
	
</head>

<body>
	<?php $page_header = 'aide'; ?>
	<?php include('include/header.php'); ?>
	
	<section>
		
		<script>
		// On essaie d'être compatible avec le max de navigateurs
		var eventMethod = window.addEventListener ? "addEventListener" : "attachEvent";
		var eventer = window[eventMethod];
		var messageEvent = eventMethod == "attachEvent" ? "onmessage" : "message";

		// On écoute les messages envoyés par la frame/fenêtre fille
		eventer(messageEvent,function(e) {
		  console.log('parent received message!:  ',e.data);
		  document.getElementById('tutos_id').height = (e.data+100) + 'px';
		},false);
		</script>

		<article id="art_aide">
		<?php 
		echo '<h2>Licence d\'<i>InfodocLog</i> et crédits</h2><p><i>InfodocLog</i> est un logiciel en ligne sous <a href="https://www.gnu.org/licenses/why-affero-gpl.fr.html" target="_blank">licence AGPL</a>.</p>
		<p>Plusieurs éléments extérieurs ont été intégrés au logiciel :</p>
		<ul>
		<li><i class="fas fa-bullseye"></i></i> des illustrations provenant de la <a href="https://commons.wikimedia.org/wiki/Crystal_Clear" target="_blank">banque <i>Crystal Clear</i></a>, <a href="https://www.gnu.org/licenses/lgpl-3.0.html" target="_blank">sous licence LGPL</a></li>
		<li><i class="fas fa-bullseye"></i> la police de caractères <i>Expletus</i>, dans l\'en-tête, sous <a href="http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL_web" target="_blank">Open Font Licence</a></li>
		<li><i class="fas fa-bullseye"></i> plusieurs outils de <a href="https://jquery.com/" target="_blank"><i>jQuery</i></a> et <a href="http://jqueryui.com/" target="_blank"><i>jQuery UI</i></a> (<a href="https://tldrlegal.com/license/mit-license">MIT License</a>)</li>
		<li><i class="fas fa-bullseye"></i> la <a href="https://mpdf.github.io/" target="_blank">bibliothèque <i>mPDF</i></a> (<a href="https://www.gnu.org/licenses/gpl-2.0.txt" target="_blank">sous licence GNU-GPL 2</a>)</li>
		<li><i class="fas fa-bullseye"></i> la <a href="https://github.com/PHPMailer/PHPMailer" target="_blank">bibliothèque <i>PHPMailer</i></a> (<a href="https://www.gnu.org/licenses/lgpl-3.0.html" target="_blank">sous licence LGPL</a>)</li>
		<li><i class="fas fa-bullseye"></i> la <a href="https://ckeditor.com/" target="_blank">solution <i>CKEditor5</i></a> (<a href="https://www.gnu.org/licenses/gpl-2.0.txt" target="_blank">sous licence GNU-GPL 2</a>)</li>
		<li><i class="fas fa-bullseye"></i> l\'<a href="https://fontawesome.com/" target="_blank">outil d\'icônes <i>Font Awesome</i></a> (licences <a href="https://creativecommons.org/licenses/by/4.0/" target="_blank">CC BY 4.0</a><!-- pour les icônes-->, <a href="https://scripts.sil.org/OFL" target="_blank">SIL OFL 1.1</a><!-- pour les polices-->, <a href="https://opensource.org/licenses/MIT" target="_blank">MIT License</a><!-- pour le code-->)</li>
		<li><i class="fas fa-bullseye"></i> les scripts <i><a href="http://www.chartjs.org/" target="_blank">Charts.js</a></i> (<a href="https://tldrlegal.com/license/mit-license" target="_blank">MIT License</a>)</li>
		<li><i class="fas fa-bullseye"></i> des sons libres de droit qui proviennent de <a href="https://lasonotheque.org/" target="_blank"><i>LaSonothèque.org</i></a></li>
		</ul>';
		echo '<hr class="param">';
		echo '<br><h2>Tutoriels</h2>';
		echo '<a href="https://infodoclog.iddocs.fr/tutoriels" target="_blank"><img src="img/tutos.png" /><p><i class="fas fa-angle-double-right"></i> https://infodoclog.iddocs.fr/tutoriels</p></a>';
		echo '</article>';
		echo '<footer id="foot_aide">';
		include('include/footer.php');
		echo '</footer>';
		?>
	</section>
	
	<?php  ?>

</body>

</html>
