<?php
echo '<meta charset="utf-8" />';
if(isset($_SESSION['user_droits'])) {
	$droits = substr($_SESSION['user_droits'],3,1);
	
	if ($droits!="2")
	{
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="./index.php">Accueil</a></p>';
	}
	else {
		
		function rand_chars($length = 25) {
		    $characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
		    $charactersLength = strlen($characters);
		    $randomString = '';
		    for ($i = 0; $i < $length; $i++) {
		        $randomString .= $characters[rand(0, $charactersLength - 1)];
		    }
		    return $randomString;
		}

		echo '<h1>Paramètres du module de Fréquentation</h1>';

		//Vérification des suspensions
		include('db/proc/freq_finsuspension.php');

		//HORAIRES
		echo '<h2>Horaires</h2>';
		echo '<p class="maxwidth">Les horaires et leur ouverture sont utilisés dans plusieurs modules.<br>Ils sont modifiables <a href="param.php?page=horaires">dans les paramètres généraux</a>.</p>';

		echo '<hr class="param">';

		//AFFICHAGE DES INSCRITS
		echo '<h2>Ordre d\'affichage des inscrits</h2>';
		// Gestion pour les inscriptions :
		if(isset($_POST['ordreaff_valid'])) {
			$neworder = $_POST['ordreaff'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$neworder."' WHERE param_nom = 'freq_ordreaff'");
		}
		//Récupération de l'option de gestion des différents espaces
		$espopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'espaces_gestion'"));
		echo '<p>Vous pouvez choisir l\'ordre d\'affichage des inscrits selon';
		if($espopt['valeur']==1) { echo ' cinq'; } else { echo ' quatre'; }
		echo ' propositions :</p>';
		$oaf = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_ordreaff'");
		$oaf_info = mysqli_fetch_assoc($oaf);
		echo '<form method="POST" name="ordreaff" action="" class="padd1">
		<input type="radio" name="ordreaff" id="ordreaffdiv" value="div" ';
		if($oaf_info['valeur']=="div") { echo 'checked'; }
		echo ' /><label for="ordreaffdiv">Par division, nom de famille puis prénom</label>
		<br><input type="radio" id="ordreaffact" name="ordreaff" value="act" '; 
		if($oaf_info['valeur']=="act") { echo 'checked'; }
		echo ' /><label for="ordreaffact">Selon l\'activité (puis division et nom)</label>
		<br><input type="radio" id="ordreaffnom" name="ordreaff" value="nom" '; 
		if($oaf_info['valeur']=="nom") { echo 'checked'; }
		echo ' /><label for="ordreaffnom">Par nom de famille puis prénom</label>
		<br><input type="radio" id="ordreaffhor" name="ordreaff" value="hor" '; 
		if($oaf_info['valeur']=="hor") { echo 'checked'; }
		echo ' /><label for="ordreaffhor">Selon l\'heure d\'arrivée (ou l\'ordre de réservation)</label>';
		if($espopt['valeur']==1) { 
			echo '<br><input type="radio" id="ordreaffesp" name="ordreaff" value="esp" '; 
			if($oaf_info['valeur']=="esp") { echo 'checked'; }
			echo ' /><label for="ordreaffesp">Selon l\'espace (puis division, nom, prénom) - l\'espace principal reste premier</label>';
		}
		echo '<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="ordreaff_valid" /></p></form>';

		echo '<hr class="param">';

		//ACTIVITES
		echo '<h2 id="activites">Activités</h2>';
		
		// Gestion du choix des activités lors de l'inscription
		if(isset($_POST['activ_valid'])) {
			$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv");
			$tableau = array();
			while($active_info = mysqli_fetch_assoc($activ))
			{
				$tableau[] = $active_info['code_activ'];
			}
			foreach($tableau as $activ_item) {
				$soluce = 0;
				$array = array_keys($_POST);
				foreach($array as $checked_item) {
					if($checked_item==$activ_item) {
						mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET activ_activ = 1 WHERE code_activ = '".$activ_item."'");
						$soluce = 1;
					}
				}
				if($soluce==0) {
					mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET activ_activ = 0, default_activ = 0 WHERE code_activ = '".$activ_item."'");
					$soluce=0;
				}
			}
		}
		
		// Gestion de la suppression d'une activité
		if(isset($_POST['activ_suppr'])) {
			$activ = mysqli_query($bdd,"DELETE FROM ".$prefix."_freqactiv WHERE code_activ = '".$_POST['suppractiv']."'");
		}
		
		// Gestion du choix d'activité par défaut
		if(isset($_POST['activ_default'])) {
			$code_activ = $_POST['defaultactiv'];
			if($code_activ=="") {
				$activdef1 = mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET activ_activ = 1, default_activ = 1 WHERE code_activ = 'ZERO'");
				$activdef0 = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ != 'ZERO'");
				while($activdef0_info = mysqli_fetch_assoc($activdef0)) {
					mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET default_activ = 0 WHERE code_activ = '".$activdef0_info['code_activ']."'");
				}
			}
			else {
				$activdef1 = mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET activ_activ = 1, default_activ = 1 WHERE code_activ = '".$code_activ."'");
				$activdef0 = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ != '".$code_activ."'");
				while($activdef0_info = mysqli_fetch_assoc($activdef0)) {
					mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET default_activ = 0 WHERE code_activ = '".$activdef0_info['code_activ']."'");
				}
				if(isset($_POST['verractiv'])) {
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 1 WHERE param_nom = 'freq_verractiv'");
				}
				else {
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 0 WHERE param_nom = 'freq_verractiv'");
				}
			}
		}
		
		// Gestion de l'ajout d'une activité
		if(isset($_POST['newactiv_valid'])) {
			$nomnew = mysqli_real_escape_string($bdd,trim($_POST['activite']));
			$nom_verif = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE nom_activ = '".$nomnew."'"));
			if($nom_verif==0) {

			}
			$nomnew = mysqli_real_escape_string($bdd,trim($_POST['activite']));
			$nom_verif = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE nom_activ = '".$nomnew."'"));
			if($nom_verif==0) {
				$code_activ = rand_chars(4);
				while(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ = '".$code_activ."'"))>0) {
					$code_activ = rand_chars(4);
				}
				mysqli_query($bdd,"INSERT INTO ".$prefix."_freqactiv (activ_id, code_activ, nom_activ, activ_activ, default_activ, consult_activ) VALUES ('', '".$code_activ."', '".$nomnew."', 1, 0, 1)");
			}
			else {
				echo '<p class="signal">Nom ou codage déjà utilisé.</p>';
			}
		}
		
		// Gestion du choix des activités lors de la consultation
		if(isset($_POST['consultactiv_valid'])) {
			$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv");
			$tableau = array();
			while($active_info = mysqli_fetch_assoc($activ))
			{
				$tableau[] = $active_info['code_activ'];
			}
			foreach($tableau as $activ_item) {
				$soluce = 0;
				$array = array_keys($_POST);
				foreach($array as $checked_item) {
					if($checked_item==$activ_item) {
						mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET consult_activ = 1 WHERE code_activ = '".$activ_item."'");
						$soluce = 1;
					}
				}
				if($soluce==0) {
					mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET consult_activ = 0 WHERE code_activ = '".$activ_item."'");
					$soluce=0;
				}
			}
		}
		
		// Activations
		echo '<p class="maxwidth">Vous pouvez définir plusieurs activités et définir celles que vous voulez voir apparaître lors de l\'inscription des élèves. <b>Une activité doit être cochée pour être utilisée lors des inscriptions</b>.</p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==1) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			echo '<form method="POST" name="activites" action="" class="padd3">';
			foreach($activ as $check_activ) {
				if($check_activ['code_activ']=="ZERO") { }
				else {
					if($check_activ['activ_activ'] == "1") { $check = "checked"; } else { $check = "0"; }
					echo '<input type="checkbox" name="'.$check_activ['code_activ'].'" id="'.$check_activ['code_activ'].'" '.$check.'/> <label for="'.$check_activ['code_activ'].'">'.$check_activ['nom_activ'].'</label><br>';
				}
			}
			echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="activ_valid" /></p></form>';
		}
		// Suppression
		echo '<p><b>Suppression d\'une activité :</b></p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==1) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			echo'<form method="POST" name="suppractiv" action="" class="padd3">Activité à supprimer : <div class="box"><select name="suppractiv" value=""><option></option>';
			$liste_activ = mysqli_query($bdd,"SELECT code_activ, nom_activ FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
			while($liste = mysqli_fetch_assoc($liste_activ)) {
				if($liste['code_activ']=="ZERO") { }
				else {
					echo '<option value="'.$liste['code_activ'].'">'.$liste['nom_activ'].'</option>';
				}
			}
			echo '</select></div> <input class="bouton boutfreq" type="submit" value="Supprimer" name="activ_suppr" /></form>';
		}
		// Choix de l'activité par défaut
		echo '<p><b>Activité par défaut lors de l\'inscription :</b></p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==1) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			$activd = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE default_activ = 1");
			$nom_activd = mysqli_fetch_assoc($activd);
			if($nom_activd['code_activ']=="ZERO") {
				echo '<p>Aucune activité définie par défaut</p>';
			}
			else {
				echo '<p>L\'activité "<b>'.$nom_activd['nom_activ'].'</b>" est actuellement définie par défaut.</p>';
			}
			echo'<form method="POST" name="defaultactiv" action="" class="padd3">Activité par défaut : <div class="box"><select name="defaultactiv" value=""><option></option>';
			$liste_activ = mysqli_query($bdd,"SELECT code_activ, nom_activ FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
			while($liste = mysqli_fetch_assoc($liste_activ)) {
				if($liste['code_activ']=="ZERO") { }
				else {
					echo '<option value="'.$liste['code_activ'].'"';
					if($nom_activd['code_activ']==$liste['code_activ']) {
						echo ' selected ';
					}
					echo '>'.$liste['nom_activ'].'</option>';
				}
			}
			echo '</select></div>
			<br><input type="checkbox" id="verractiv" name="verractiv"';
			$verrtest = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_verractiv'"));
			if($verrtest['valeur']==1) { echo 'checked'; }
			echo ' /><label for="verractiv">Verrouillage de l\'activité par défaut</label><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Définir par défaut" name="activ_default" /></p></form>';
		}
		
		// Ajout d'une activité
		echo '<p><b>Ajout d\'une activité :</b></p>';
		echo '<form method="POST" name="newactiv" action="" class="padd3">Nom de l\'activité : <input type="text" class="inptxt" name="activite" maxlength="20" /> <input class="bouton boutfreq" type="submit" value="Valider" name="newactiv_valid" /></form>';
		
		// Activités visibles en consultation (paramétrage si option)
		echo '<p><b>Elèves visibles en mode consultation :</b></p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==1) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			echo '<p class="maxwidth">Seuls les élèves des activités cochées sont visibles dans le mode consultation :</p>';
			echo '<form method="POST" name="consultactiv" action="" class="padd3">';
			foreach($activ as $check_activ) {
				if($check_activ['code_activ']=="ZERO") { }
				else {
					if($check_activ['consult_activ'] == "1") { $check = "checked"; } else { $check = "0"; }
					echo '<input type="checkbox" name="'.$check_activ['code_activ'].'" id="cons'.$check_activ['code_activ'].'" '.$check.'/> <label for="cons'.$check_activ['code_activ'].'">'.$check_activ['nom_activ'].'</label><br>';
				}
			}
			echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="consultactiv_valid" /></p></form>';
		}

		// Visibilité des activités en consultation (paramétrage si option)
		if(isset($_POST['consultactiv_opt_valid'])) {
			if(isset($_POST['consultactiv_opt'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 1 WHERE param_nom = 'freq_consultactiv'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 0 WHERE param_nom = 'freq_consultactiv'");
			}
		}
		echo '<p><b>Activités visibles en mode consultation :</b></p>';
		echo '<form method="POST" name="consultactiv_opt" action="" class="padd3">';
		echo '<input type="checkbox" id="consultactiv_opt" name="consultactiv_opt" ';
		$check_consultactiv_opt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_consultactiv'"));
		if($check_consultactiv_opt['valeur']==1) { echo 'checked'; }
		echo ' /><label for="consultactiv_opt"> Visualisation des activités des élèves dans le mode de consultation</label><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="consultactiv_opt_valid" /></p></form>';

		//Récupération de l'option de gestion des différents espaces
		$espopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'espaces_gestion'"));
		
		// Gestion pour les inscriptions :
		if(isset($_POST['seuili_valid'])) {
			$nbi = $_POST['seuilinb'];
			$reaci = $_POST['seuilireac'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$nbi."' WHERE param_nom = 'freq_seuilnbi'");
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$reaci."' WHERE param_nom = 'freq_seuilreaci'");
		}
		// Gestion pour les réservations
		if(isset($_POST['seuilr_valid'])) {
			$nbr = $_POST['seuilrnb'];
			$reacr = $_POST['seuilrreac'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$nbr."' WHERE param_nom = 'freq_seuilnbr'");
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$reacr."' WHERE param_nom = 'freq_seuilreacr'");
		}

		echo '<hr class="param">';

		//PASSAGE CRENEAU SUIVANT
		echo '<h2>Passage anticipé au créneau suivant</h2>';
		echo '<p class="maxwidth">L\'option suivante permet de passer en inscription sur le créneau suivant plusieurs minutes avant la fin du créneau en cours.</p>';
		if(isset($_POST['anticip_valid'])) {
			$nbmin = $_POST['minutes'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$nbmin."' WHERE param_nom = 'freq_creneausuiv'");
		}
		$nb_anticip = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_creneausuiv'"));
		echo '<form method="POST" action="" name="crensuiv">
		Nombre de minutes d\'anticipation : <div class="box"><select value="" name="minutes">
			<option></option>';
			$optant = array('0','5','10','15');
			for($i=0;$i<count($optant);$i++) {
				echo '<option value="'.$optant[$i].'"';
				if($nb_anticip['valeur']==$optant[$i]) {
					echo ' selected ';
				}
				echo '>'.$optant[$i].' minutes</option>';
			}
			echo '</select></div>
			<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="anticip_valid" /></p></form>';

		//INSCRIPTION SUR PLUSIEURS CRENEAUX
		echo '<h2>Permission d\'inscription sur plusieurs créneaux</h2>';
		echo '<p class="maxwidth">Cette option permet de donner la possibilité d\'inscrire directement les élèves sur plusieurs créneaux. Attention, cette fonction est ouverte également sur le libre service.</p>';
		if(isset($_POST['multicren_valid'])) {
			$nbcren = $_POST['nbcren'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$nbcren."' WHERE param_nom = 'freq_multiinscrit'");
		}
		$nb_cren = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_multiinscrit'"));
		echo '<form method="POST" action="" name="multicren">
		Nombre de créneaux à la suite : <input type="number" min="0" max="20" value="'.$nb_cren['valeur'].'" name="nbcren"><p class="paddvalid1">
		<input class="bouton boutfreq" type="submit" value="Valider" name="multicren_valid" /></p></form>';

		echo '<hr class="param">';

		//AFFICHAGE DES INSCRITS SUR CRENEAU PRECEDENT
		if(isset($_POST['crenprec_valid'])) {
			$crenprec = $_POST['crenprec'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$crenprec."' WHERE param_nom = 'freq_crprechoix'");
		}
		echo '<h2 id="crenprecdiv">Options d\'affichage des inscrits du créneau précédent</h2>';
		$crprechoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crprechoix'"));
		echo '<form method="POST" name="ordreaff" action="#crenprecdiv" class="padd1">
		<input type="radio" name="crenprec" id="0h" value="0h" ';
		if(substr($crprechoix_info['valeur'],0,1)==0) { echo 'checked'; }
		echo ' /><label for="0h">Ne pas afficher les inscrits du créneau précédent</label>
		<br><input type="radio" name="crenprec" id="1h" value="1h" '; 
		if($crprechoix_info['valeur']=='1h') { echo 'checked'; }
		echo ' /><label for="1h">Afficher les inscrits du créneau précédent (non masqués, au-dessus des inscrits)</label>
		<br><input type="radio" name="crenprec" id="1b" value="1b" '; 
		if($crprechoix_info['valeur']=='1b') { echo 'checked'; }
		echo ' /><label for="1b">Afficher les inscrits du créneau précédent (non masqués, au-dessous des inscrits)</label>
		<br><input type="radio" name="crenprec" id="2h" value="2h" '; 
		if($crprechoix_info['valeur']=='2h') { echo 'checked'; }
		echo ' /><label for="2h">Afficher les inscrits du créneau précédent (masqués, au-dessus des inscrits)</label>
		<br><input type="radio" name="crenprec" id="2b" value="2b" '; 
		if($crprechoix_info['valeur']=='2b') { echo 'checked'; }
		echo ' /><label for="2b">Afficher les inscrits du créneau précédent (masqués, au-dessous des inscrits)</label>';

		echo '<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="crenprec_valid" /></p></form>';

		echo '<hr class="param">';

		//GRAPPES ET PASSAGES
		echo '<h2>Inscription par groupes et passages</h2>';
		if(isset($_POST['grap_valid'])) {
			if(isset($_POST['appelgrappes'])&&isset($_POST['appelpass'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_grappes'");
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_passages'");
			}
			else if(isset($_POST['appelgrappes'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_grappes'");
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_passages'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_grappes'");
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_passages'");
			}
		}
		echo '<form method="POST" name="appelens" action="" class="padd1">';
		echo '<input type="checkbox" name="appelgrappes" id="appelgrappes"';
		$appelchoix = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_grappes'");
		$appelchoix_info = mysqli_fetch_assoc($appelchoix);
		if ($appelchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="appelgrappes"> Inscription par ensembles ou grappes d\'élèves</label><br>';
		echo '<input type="checkbox" name="appelpass" id="appelpass"';
		$appelchoix = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_passages'");
		$appelchoix_info = mysqli_fetch_assoc($appelchoix);
		if ($appelchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="appelpass"> Inscription de passages (si l\'inscription par ensembles est activée)</label><br>';
		echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="grap_valid" /></p>';
		echo '</form>';

		echo '<hr class="param">';

		//MAX ELEVES ET REFUS
		echo '<h2>Seuils et refus</h2>';
		echo '<p>Vous pouvez définir un nombre maximal d\'élèves admis au CDI, et de réservations.<br>Une fois le seuil dépassé, soit vous choisissez une alerte, soit les inscriptions sont bloquées.</p>';
		echo '<p>Vous pouvez définir des seuils spécifiques par créneau <a href="param.php?page=horaires">dans la page de gestion des horaires</a>.</p>';
		// Inscriptions :
		echo '<b>Seuil pour les inscriptions :</b>';
		$sin = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilnbi'");
		$sin_info = mysqli_fetch_assoc($sin);
		$sir = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilreaci'");
		$sir_info = mysqli_fetch_assoc($sir);
		echo '<form method="POST" name="seuilinb" action="" class="padd3">Nombre maximal (0 : pas de limite) : <input type="number" class="number" name="seuilinb" value="'.$sin_info['valeur'].'" /><br>Réaction : <input type="radio" name="seuilireac" id="alert" value="alert" ';
		if($sir_info['valeur']=="alert") { echo 'checked'; }
		echo ' /><label for="alert">Simple alerte</label> <input type="radio" name="seuilireac" id="stopp" value="stopp" '; 
		if($sir_info['valeur']=="stopp") { echo 'checked'; }
		echo ' /><label for="stopp">Arrêt des inscriptions</label> <input class="bouton boutfreq" type="submit" value="Valider" name="seuili_valid" /></form>';

		if(isset($_POST['visibesp_valid'])) {
			if(isset($_POST['visibesp'])) { mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 1 WHERE param_nom = 'freq_vision_espaces_ins'"); }
			else { mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 0 WHERE param_nom = 'freq_vision_espaces_ins'"); }
		}
		if($espopt['valeur']==1) {
			echo '<b>Visibilité des inscriptions et seuils par espace</b>';
			$visesp = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_vision_espaces_ins'"));
			echo '<form method="POST" name="visibesp" action="" class="padd3"><input type="checkbox" name="visibesp" id="visibesp" ';
			if($visesp['valeur']==1) { $check = 'checked'; } else { $check = 0; }
			echo $check.' /><label for="visibesp"> activation de la visibilité des inscriptions et seuils par espace</label> <input class="bouton boutfreq" type="submit" value="Valider" name="visibesp_valid" /></form>';
		}
		// Réservations :
		echo '<b>Seuil pour les réservations :</b>';
		$srn = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilnbr'");
		$srn_info = mysqli_fetch_assoc($srn);
		$srr = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilreacr'");
		$srr_info = mysqli_fetch_assoc($srr);
		echo '<form method="POST" name="seuilrnb" action="" class="padd3">Nombre maximal (0 : pas de limite) : <input type="number" class="number" name="seuilrnb"  value="'.$srn_info['valeur'].'" /><br>Réaction : <input type="radio" name="seuilrreac" id="ralert" value="alert" ';
		if($srr_info['valeur']=="alert") { echo 'checked'; }
		echo ' /><label for="ralert">Simple alerte</label> <input type="radio" name="seuilrreac" id="rstopp" value="stopp" '; 
		if($srr_info['valeur']=="stopp") { echo 'checked'; }
		echo ' /><label for="rstopp">Arrêt des inscriptions</label> <input class="bouton boutfreq" type="submit" value="Valider" name="seuilr_valid" /></form>';
		// Refus de réservations :
		if(isset($_POST['nbjours'])) {
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['nbjours']."' WHERE param_nom = 'freq_resref_date'");
		}
		$periodsus = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resref_date'"));
		// Gestion pour les suspensions
		if(isset($_POST['suspension'])) {
			$seleve = $_POST['eleve'];
			// récup du nom et du prénom
			$snom = substr($seleve, 0, strpos($seleve,","));
			$sprenom_beg = strstr($seleve, ', ');
			$sdiv_find1 = '('; // on recherche la parenthèse avant la division
			$sdiv_pos1 = strpos($seleve, $sdiv_find1); // on définit la position de la 1re parenthèse
			$sdiv_find2 = ')'; // on recherche la parenthèse après la division
			$sdiv_pos2 = strpos($seleve, $sdiv_find2); // on définit la position de la 2e parenthèse
			$sprenom_end = $sdiv_pos2 - $sdiv_pos1 + 2;
			$sprenom = substr($sprenom_beg, 2, -$sprenom_end);
			// recherche de la division
			$sdiv_deb = $sdiv_pos1 + 1; // on définit le premier caractère pour la division
			$sdiv = substr($seleve, $sdiv_deb, -1); // on trouve la division
			// sélection de l'élève dans la bdd
			$eleve = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE nom = '$snom' AND prenom = '$sprenom' AND division = '$sdiv'");
			$eleve_info = mysqli_fetch_assoc($eleve);
			$eleve_id = $eleve_info['eleves_id'];
			// vérif dans freqresref
			$verifele = mysqli_query($bdd,"SELECT eleves_id FROM ".$prefix."_freqresref WHERE eleves_id = '".$eleve_id."'");
			$verifele_nb = mysqli_num_rows($verifele);
			if($verifele_nb==0) {
				if($_POST['nbjours_ele']==0) { $date='0000-00-00'; }
				else {
					$calendar = mysqli_query($bdd,"SELECT * FROM ".$prefix."_calendrier WHERE date > '".date('Y-m-d')."' AND statut = 1");
					$i=0;
					foreach($calendar as $datecheck) {
						if($i==$_POST['nbjours_ele']+1) { break; }
						$date = $datecheck['date'];
						$i++;
					}
				}
				mysqli_query($bdd,"INSERT ".$prefix."_freqresref (eleves_id, todate) VALUES ('".$eleve_id."', '".$date."')");
				mysqli_query($bdd,"DELETE FROM ".$prefix."_freqres WHERE eleves_id = '".$eleve_id."'");
			}
		}
		echo '<b id="suspension">Suspension des réservations :</b>';
		echo '<p class="maxwidth">En cas d\'abus constaté de réservation par les élèves (la réservation permettant par exemple un passage au réfectoire plus rapide le midi), il est possible de suspendre leur capacité de réservation, et de l\'autoriser ensuite de nouveau.</p>';
		echo '<form method="POST" name="periodsus" action="#suspension">Nombre de journées de suspension par défaut : <input type="number" min="0" class="number" name="nbjours" value="'.$periodsus['valeur'].'" /> jours (<i>0 : pas de période définie</i>) <input class="bouton boutfreq" type="submit" name="valjours" value="Changer" /></form><br>&nbsp; <br>';
		echo '<form method="POST" name="eleve" action="#suspension">
		<label for="eleves">Nom et prénom de l\'élève :</label> <input type="text" class="inptxt" name="eleve" size="20" id="eleves" value=""> <input type="number" min="0" class="number" name="nbjours_ele" value="'.$periodsus['valeur'].'" /> jours <input class="bouton boutfreq" type="submit" value="Suspendre" name="suspension" />
		</form><br>';
		// Gestion de l'affichage des suspendus
		// récupération de l'ordre d'affichage souhaité
		$ordreaff = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_ordreaff'");
		$ordreaff_info = mysqli_fetch_assoc($ordreaff);
		if($ordreaff_info['valeur']=="div") {
			$ordre = "ORDER BY eleves.division ASC, eleves.nom ASC, eleves.prenom ASC";
		}
		else if($ordreaff_info['valeur']=="nom") {
			$ordre = "ORDER BY eleves.nom ASC, eleves.prenom ASC";
		}
		else { $ordre = ""; }
		// affichage proprement dit
		$inscrits_select = "SELECT freq.eleves_id, freq.todate, eleves.nom, eleves.prenom, eleves.division 
		FROM ".$prefix."_freqresref freq 
		INNER JOIN ".$prefix."_eleves eleves
		ON freq.eleves_id = eleves.eleves_id
		".$ordre."";
		$inscrits = mysqli_query($bdd,$inscrits_select);
		$nb_inscrits = mysqli_num_rows($inscrits);
		
		if($nb_inscrits != 0) {
			echo '<table><tr><th>Elève</th><th>Jusqu\'au</th><th></th></tr>';
			foreach($inscrits as $liste) {
				echo '<form method="POST" name="inscrit" action="" class="padd3"><tr><td>'.$liste['division'].' - '.$liste['nom'].' '.$liste['prenom'].'</td><td>';
				if($liste['todate']!='0000-00-00') { echo substr($liste['todate'],8,4).'/'.substr($liste['todate'],5,2).'/'.substr($liste['todate'],0,4); }
				echo '</td>';
				echo '<td><input class="bouton boutfreq" type="submit" value="Annuler" name="annuler'.$liste['eleves_id'].'" /></td></tr></form>';
				if(isset($_POST['annuler'.$liste['eleves_id'].''])) {
					$eleve_id = $liste['eleves_id'];
					mysqli_query($bdd,"DELETE FROM ".$prefix."_freqresref WHERE eleves_id = '".$eleve_id."'");
					echo '<script language="Javascript">
					<!--
					document.location.replace("freq.php?page=param");
					// -->
					</script>';	
				}
			}
			echo '</table>';
		}		
		
		echo '<hr class="param">';
		
		//EXCLUSIONS
		echo '<h2 id="exclusions">Exclusions et limitations</h2>';

		if(isset($_POST['exclu_valid'])) {
			if(isset($_POST['excluopt'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_excluopt'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_excluopt'");
			}
			echo '<script language="Javascript">
			<!--
			document.location.replace("freq.php?page=param");
			// -->
			</script>';
		}

		echo '<form method="POST" name="exclusions" action="" class="padd3">';

		echo '<input type="checkbox" name="excluopt" id="excluopt"';
		$excluopt_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_excluopt'"));
		if ($excluopt_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="excluopt"> Gestion des raisons et durées des exclusions et limitations</label><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="exclu_valid" /></p></form>';

		echo '<hr class="param">';
	
		//CRENEAU PAR DEFAUT RESERVATION
		echo '<h2 id="resas">Créneaux et activités pour les réservations</h2>';
		echo '<p class="maxwidth">Vous pouvez choisir le mode de réservation par défaut, et permettre ou non le choix du créneau par l\'usager.</p>';
		echo '<p class="maxwidth"><b>Créneau de réservation par défaut :</b><br><i>Vous pouvez choisir dans la liste de définir par défaut le créneau qui suit l\'heure, ou de choisir un créneau fixe (seulement le midi par exemple).</i></p>';
		// Validation du choix :
		if(isset($_POST['crendef_valid'])) {
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['crendef']."' WHERE param_nom = 'freq_crendef'");
		}
		// formulaire :
		echo '<form method="POST" name="crendef" action="#resas" class="padd1">
		<div class="box"><select name="crendef" value="">';
		$crd = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crendef'");
		$crd_info = mysqli_fetch_assoc($crd);
		echo '<option value="suivant"';
		if($crd_info['valeur'] == "suivant") {
			echo ' selected ';
		}
		echo '>Créneau suivant</option>';
		if($crd_info['valeur'] != "suivant") {
			$crd_select = "SELECT param.valeur, hor.hor_name, hor.debut, hor.fin, hor.hor_freq
			FROM ".$prefix."_parametres param
			INNER JOIN ".$prefix."_horaires hor
			ON param.valeur = hor.hor_name
			WHERE param.param_nom = 'freq_crendef'";
			$crd = mysqli_query($bdd,$crd_select);
			$crd_info = mysqli_fetch_assoc($crd);
			$cren_check = $crd_info['valeur'];
		}
		$hor = mysqli_query($bdd,"SELECT * FROM ".$prefix."_horaires WHERE hor_freq = 1");
		while($liste = mysqli_fetch_assoc($hor)) {
			$cren = $liste['hor_name'];
			$deb_cren = substr("$cren", 0, 1);
			echo '<option value="'.$liste['hor_name'].'"';
			if($crd_info['valeur'] != "suivant") {
				if($cren_check==$liste['hor_name']) {
					echo ' selected ';
				}
			}
			echo '>'.$liste['hor_name'].' - ';
			if($deb_cren == "M") {
				echo 'Matin';
			}
			else if($deb_cren == "A") {
				echo 'Après-midi';
			}
			else if($deb_cren == "P") {
				echo 'Pause';
			}
			else if($deb_cren == "R") {
				echo 'Midi';
			}
			$deb = $liste['debut'];
			$dh = substr("$deb", 0, 2);
			$dm = substr("$deb", 3, 2);
			echo ' de '.$dh.'h'.$dm.' à ';
			$fin = $liste['fin'];
			$fh = substr("$fin", 0, 2);
			$fm = substr("$fin", 3, 2);
			echo ''.$fh.'h'.$fm.'';
			echo '</option>';
		}
		echo '</select></div><br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="crendef_valid" /></p></form>';
		// Gestion du choix ou non du créneau :
		if(isset($_POST['crenchoix_valid'])) {
			$choix = $_POST['crenchoix'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$choix."' WHERE param_nom = 'freq_crenchoix'");
		}
		
		// Autorisation de choix du créneau :
		echo '<p><b>Choix du créneau de réservation :</b></p>';
		$ccr = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crenchoix'");
		$ccr_info = mysqli_fetch_assoc($ccr);
		echo '<form method="POST" name="crenchoix" action="#resas" class="padd1"><input type="radio" name="crenchoix" id="crenchoix1" value="1" ';
		if($ccr_info['valeur']=="1") { echo 'checked'; }
		echo ' /><label for="crenchoix1">Autoriser le choix du créneau de réservation</label> <br><input type="radio" id="crenchoix0" name="crenchoix" value="0" '; 
		if($ccr_info['valeur']=="0") { echo 'checked'; }
		echo ' /><label for="crenchoix0">Ne pas autoriser ce choix (par défaut)</label> <p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="crenchoix_valid" /></p></form>';

		echo '<p><b>Autres options pour les réservations :</b></p>';
		//Gestion pour ces options
		if(isset($_POST['resopts_valid'])) {
			if(isset($_POST['eventblock'])) { $eventblock = 1; }
			else { $eventblock = 0; }
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$eventblock."' WHERE param_nom = 'freq_resblockevent'");
			if(isset($_POST['resactiv'])) { $resactiv = 1; }
			else { $resactiv = 0; }
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$resactiv."' WHERE param_nom = 'freq_resactiv'");
			if($_POST['daymax1']!="") {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['daymax1']."' WHERE param_nom = 'freq_res_dureemax'");
			}

		}
		echo '<form method="POST" name="eventblock" action="#resas" class="padd1">
		&bull; &Eacute;vénements et activités :<br><input type="checkbox" name="eventblock" id="eventblock"';
		$crprechoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resblockevent'"));
		if ($crprechoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="eventblock"> Bloquage des réservations sur les créneaux occupés par des événements</label><br>
		<input type="checkbox" name="resactiv" id="resactiv"';
		$resactivchoix = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resactiv'"));
		if ($resactivchoix['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="resactiv"> Précision des activités prévues lors des réservations</label><br>';
		$freq_res_dureemax = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_dureemax'"));
		echo '&bull; Durée maximale d\'autorisation de réservation :<br><input type="number" class="number" name="daymax1" value="'.$freq_res_dureemax['valeur'].'" /> jours (0 : pas de limite)';
		echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="resopts_valid" /></p>';
		echo '</form>';
		
		//RESERVATION PAR LES ELEVES
		echo '<h2 id="resele">Option de réservation par les élèves (à distance)</h2>';
		if(isset($_POST['reservsub'])) {
			if($_POST['reserv_distopt']==1&&(strlen($_POST['reservmdp'])<12||strlen($_POST['reservmdp'])>15)) {
				echo '<p class="signal">Le mot de passe donné ne remplit pas les conditions.</p>';
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['reserv_distopt']."' WHERE param_nom = 'freq_reseleve'");
				if($_POST['reserv_distopt']==1) {
					$mdp = mysqli_real_escape_string($bdd,$_POST['reservmdp']);
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur=PASSWORD('".$_POST['reservmdp']."') WHERE param_nom = 'freq_reseleve_mdp'");
				}
			}
		}
		echo '<p class="maxwidth">Cette option propose une autorisation de connexion à l\'accueil du logiciel, vers une page de réservation pour l\'élève.</p>';
		$reserv_could=mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve'"));
		$reserv_could_mdp=mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_mdp'"));
		echo '<form method="POST" name="reserveleve" action="#resele" class="padd3">
		<input type="radio" id="reserv_distopt0" name="reserv_distopt" value="0" ';
		if ($reserv_could['valeur']==0) { echo 'checked'; }
		echo ' /><label for="reserv_distopt0"> Option non activée</label><br>
		<input type="radio" id="reserv_distopt1" name="reserv_distopt" value="1" ';
		if ($reserv_could['valeur']==1) { echo 'checked'; }
		echo ' /><label for="reserv_distopt1"> Accès générique (mot de passe puis par code élève pour réserver)</label>
		<br>&nbsp; &nbsp; &nbsp; &nbsp; Mot de passe (12 à 15 caractères) : <input type="text" class="inptxt" name="reservmdp" /><br>
		<input type="radio" id="reserv_distopt2" name="reserv_distopt" value="2" ';
		if ($reserv_could['valeur']==2) { echo 'checked'; }
		echo ' /><label for="reserv_distopt2"> Accès spécifique (code et mot de passe pour chaque élève)</label>
		<p class="paddvalid1"><input class="bouton boutfreq" type="submit" name="reservsub" value="Valider" /></p></form>';

		if ($reserv_could['valeur']>0) {
			// Précision de l'activité dans la réservation à distance // Et EDT // Et Espaces
			if(isset($_POST['valid_reseleve_opts'])) {
				if(isset($_POST['resele_activ_check'])) {
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_reseleve_activ'");
				}
				else {
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_reseleve_activ'");
				}
				if(isset($_POST['printedt'])) {
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['printedt']."' WHERE param_nom = 'freq_resprintedt'");
				}
				if($espopt['valeur']==1) {
					if(isset($_POST['resele_esp_check'])) {
						mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_reseleve_esp'");
					}
					else {
						mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_reseleve_esp'");
					}
				}
				if($_POST['daymax']!="") {
					mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['daymax']."' WHERE param_nom = 'freq_reseleve_dureemax'");
				}
			}
			$freq_reseleve_activ = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_activ'"));
			echo '<form method="POST" name="resele_opts" action="#resele" class="padd3">
			&bull; Précision des activités et espaces :<br>
			<input type="checkbox" id="resele_activ_check" name="resele_activ_check"';
			if($freq_reseleve_activ['valeur']==1) { $check = 'checked'; } else { $check = 0; }
			echo ' '.$check.' /><label for="resele_activ_check"> Précision de l\'activité dans la réservation à distance</label><br>';
			$freq_reseleve_esp = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_esp'"));
			if($espopt['valeur']==1) {
				echo '<input type="checkbox" id="resele_esp_check" name="resele_esp_check"';
				if($freq_reseleve_esp['valeur']==1) { $check = 'checked'; } else { $check = 0; }
				echo ' '.$check.' /><label for="resele_esp_check"> Réservation à distance par espaces</label><br>';
			}
			$crprpchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resprintedt'"));
			echo '&bull; Affichage des EDT pour la réservation à distance :<br>
			<input type="radio" name="printedt" id="printedt0" value="0" ';
			if($crprpchoix_info['valeur']=="0") { echo 'checked'; } echo ' /><label for="printedt0"> Pas d\'affichage</label><br>
			<input type="radio" name="printedt" id="printedt1" value="1" ';
			if($crprpchoix_info['valeur']=="1") { echo 'checked'; } echo ' /><label for="printedt1"> Affichage des EDT validés en cours</label><br>
			<input type="radio" name="printedt" id="printedt2" value="2" ';
			if($crprpchoix_info['valeur']=="2") { echo 'checked'; } echo ' /><label for="printedt2"> Affichage d\'un EDT extrait sous forme d\'image</label><br>';
			$freq_reseleve_dureemax = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_dureemax'"));
			echo '&bull; Durée maximale d\'autorisation de réservation à distance :<br><input type="number" class="number" name="daymax" value="'.$freq_reseleve_dureemax['valeur'].'" /> jours (0 : pas de limite)';
			echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" name="valid_reseleve_opts" value="Valider" /></p></form>';
		}

		echo '<hr class="param">';

		// Gestion des retards depuis PMB ou BCDI
		echo '<h2 id="sigb">Gestion des retards de prêts</h2>';
		if(isset($_POST['sigb_valid'])) {
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['sigb_choix']."' WHERE param_nom = 'freq_sigb'");
		}
		$verif_nivs_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb'"));
		echo '<p><b>Importation depuis BCDI ou PMB :</b></p>
		<form method="POST" name="sigb" action="#sigb" class="padd1">
		<input type="radio" id="sigb_choix0" name="sigb_choix" value="non" ';
		if($verif_nivs_info['valeur']=="non") { echo 'checked'; }
		echo ' /><label for="sigb_choix0">Ne pas permettre cette importation</label>
		<br><input type="radio" id="sigb_choix1" name="sigb_choix" value="pmb" '; 
		if($verif_nivs_info['valeur']=="pmb") { echo 'checked'; }
		echo ' /><label for="sigb_choix1">Permettre l\'importation depuis PMB</label>
		<br><input type="radio" id="sigb_choix2" name="sigb_choix" value="bcdi" '; 
		if($verif_nivs_info['valeur']=="bcdi") { echo 'checked'; }
		echo ' /><label for="sigb_choix2">Permettre l\'importation depuis BCDI</label>
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="sigb_valid" /></p>
		</form>';

		echo '<p><b>Ordre d\'affichage des retards (par défaut)</b></p>';
		// Gestion pour les inscriptions :
		if(isset($_POST['ordreret_valid'])) {
			$neworder = $_POST['ordreret'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$neworder."' WHERE param_nom = 'freq_retards_ordre'");
		}
		echo '<p>Vous pouvez choisir l\'ordre d\'affichage des retards selon cinq propositions :</p>';
		$oaf_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_retards_ordre'"));
		echo '<form method="POST" name="ordreaff" action="#sigb" class="padd1">
		<input type="radio" id="ordreretdiv" name="ordreret" value="div" ';
		if($oaf_info['valeur']=="div") { echo 'checked'; }
		echo ' /><label for="ordreretdiv">Par division, nom de famille puis prénom</label>
		<br><input type="radio" id="ordreretnom" name="ordreret" value="nom" '; 
		if($oaf_info['valeur']=="nom") { echo 'checked'; }
		echo ' /><label for="ordreretnom">Par nom de famille puis prénom</label>
		<br><input type="radio" id="ordrerettit" name="ordreret" value="tit" '; 
		if($oaf_info['valeur']=="tit") { echo 'checked'; }
		echo ' /><label for="ordrerettit">Par titre</label>
		<br><input type="radio" id="ordreretdat" name="ordreret" value="dat" '; 
		if($oaf_info['valeur']=="dat") { echo 'checked'; }
		echo ' /><label for="ordreretdat">Par date prévue de retour (ordre croissant)</label>
		<br><input type="radio" id="ordreretale" name="ordreret" value="ale" '; 
		if($oaf_info['valeur']=="ale") { echo 'checked'; }
		echo ' /><label for="ordreretale">Par niveau d\'alerte puis date prévue de retour</label>
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="ordreret_valid" /></p></form>';

		if(isset($_POST['bip_valid'])) {
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$_POST['bip_choix']."' WHERE param_nom = 'freq_retards_bip'");
		}
		$verif_bip_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_retards_bip'"));
		echo '<p id="avert"><b>Avertissement sonore à l\'inscription des élèves :</b></p>';

		if(isset($_POST['ajoutson_valid'])) {
			$mimes = array('audio/mpeg',
			'audio/ogg',
			'audio/vnd.wav',
			'audio/x-wav');	
			$file=$_FILES['fileson'];
			//$fichier=$_FILES['fichier'.$k.'']['name'];
			$actualSize = $file['size'];
			// Taille du fichier doit être sous 1,5 mo : 1500000
			$legalSize = "1500000";		
			$Rep = './img/wav/';
			$Racine=opendir($Rep);
	        $Taille=0;
	        while($Dossier = readdir($Racine))
	        {
	          if ( $Dossier != '..' And $Dossier !='.' )
	          {
	            //Ajoute la taille du sous dossier
	            if(is_dir($Rep.'/'.$Dossier)) $Taille += TailleDossier($Rep.'/'.$Dossier);
	            //Ajoute la taille du fichier
	            else $Taille += filesize($Rep.'/'.$Dossier);

	          }
	        }
	        closedir($Racine);
	       	// Taille du dossier doit être sous 20 mo : 20000000
	        if(@in_array($file['type'],$mimes)&&$Taille<20000000&&$actualSize<$legalSize) {
	        	
	        	if (file_exists($Rep.'/'.preg_replace('/[^a-zA-Z0-9_-]/s','',pathinfo($file['name'], PATHINFO_FILENAME)).'.'.pathinfo($file['name'], PATHINFO_EXTENSION))) {
				    echo '<p class="signal">Transfert impossible, un fichier identique existe déjà.</p>';
				}
				else {
					move_uploaded_file($file['tmp_name'], $Rep.'/'.preg_replace('/[^a-zA-Z0-9_-]/s','',pathinfo($file['name'], PATHINFO_FILENAME)).'.'.pathinfo($file['name'], PATHINFO_EXTENSION));
				}
			}
			else if($Taille>=20000000) {
				echo '<p class="signal">Votre dossier de son est trop volumineux.<br>Il faut d\'abord supprimer des sons dans le formulaire ci-dessous.</p>';
			}
			else if($actualSize>=$legalSize) {
				echo '<p class="signal">Ce fichier est trop volumineux. La taille maximale est de 1,5 Mo.</p>';
			}
		}      
    
		$son_file = array('0','0899','0253','0292','0294','0227','0283','0863');
		$son_name = array('pas d\'avertissement sonore','passage à niveau','sonnerie de téléphone','tintement de clochette n°1','tintement de clochette n°2','passage du train','chant du coq','hénissement de cheval');
		for($sonc=0;$sonc<count($son_file);$sonc++) {
			echo '<input type="radio" id="bip_choix'.$son_file[$sonc].'" name="bip_choix" value="'.$son_file[$sonc].'" onclick="choose'.$son_file[$sonc].'(this);" ';
			if($verif_bip_info['valeur']==$son_file[$sonc]) { echo 'checked'; }
			echo ' /><label for="bip_choix'.$son_file[$sonc].'"> '.$son_name[$sonc].'</label><br>';
			if($sonc!=0) {
				echo '<audio controls><source src="./img/wav/'.$son_file[$sonc].'.wav" type="audio/wav"></audio><br>';
			}
			echo '<script type="text/javascript">
				function choose'.$son_file[$sonc].'(file) {';
				if($son_file[$sonc]==0) {
					echo 'var file = "0";';
				}
				else {
					echo 'var file = "'.$son_file[$sonc].'.wav";';
				}
				echo '$.ajax({
				    type: "POST",
				    data: { file: file },
				    url: "js/idl/freq_chooseson.php",
				   });
				}						
			</script>';
		}		

		if($dossier = opendir('./img/wav')) {
			$tab_son = array();
			while(false !== ($fichier = readdir($dossier))) {
				if($fichier != '.' && $fichier != '..' && $fichier != '0227.wav' && $fichier != '0253.wav' && $fichier != '0283.wav' && $fichier != '0292.wav' && $fichier != '0294.wav' && $fichier != '0863.wav' && $fichier != '0899.wav') {
					$fichier1 = str_replace('.','',$fichier);
					echo '<div id="div'.$fichier1.'"><br><input type="radio" id="'.$fichier1.'" name="bip_choix" value="'.$fichier.'" onclick="choose'.$fichier1.'(this);" ';
					if($verif_bip_info['valeur']==$fichier) { echo 'checked'; }
					echo ' /><label for="'.$fichier1.'"> '.$fichier.'</label> <input class="boutontab" type="submit" value="Supprimer ce son" name="del'.$fichier1.'" onclick="suppr'.$fichier1.'(this,\'div'.$fichier1.'\');" /><br><audio controls><source src="./img/wav/'.$fichier.'" type="audio/'.pathinfo($fichier, PATHINFO_EXTENSION).'"></audio> 
					</div>';
					echo '<script type="text/javascript">
						function choose'.$fichier1.'(file) {
						var file = "'.pathinfo($fichier, PATHINFO_FILENAME).'.'.pathinfo($fichier, PATHINFO_EXTENSION).'";
						$.ajax({
						    type: "POST",
						    data: { file: file },
						    url: "js/idl/freq_chooseson.php",
						   });
						}						
					</script>';
					echo '<script type="text/javascript">
						function suppr'.$fichier1.'(file, divs) {
						document.getElementById(divs).style.display = "none";
						var file = "'.$fichier.'";
						$.ajax({
						    type: "POST",
						    data: { file: file },
						    url: "js/idl/freq_supprson.php",
						   });
						}						
					</script>';
				}
			}			
			closedir($dossier);
		}
		
		echo '<p>Ajouter un son (1,5 Mo max, formats supportés : mp3, ogg, wav) :
		<form enctype="multipart/form-data" action="freq.php?page=param#avert" method="POST">
		<input style="margin-left:100px;" class="boutontab" name="fileson" type="file" accept=".mp3,.ogg,.wav" />
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Envoyer le fichier" name="ajoutson_valid" /></p>
		</form>';
		
		echo '<hr class="param">';

		//STATS NOTIF + SEUIL CRENEAUX
		echo '<h2 id="stats">Statistiques</h2>';
		if(isset($_POST['seuilcren_valid'])) {
			$nbr = $_POST['seuilrnb'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$nbr."' WHERE param_nom = 'freq_statcren_seuil'");
		}
		// Gestion pour les notifs :
		if(isset($_POST['notif_valid'])) {
			$reaci = $_POST['notifnb'];
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$reaci."' WHERE param_nom = 'freq_notif_nb'");
			if(isset($_POST['notifopt'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_notif_opt'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_notif_opt'");
			}
		}
		echo '<form method="POST" name="stats1" action="#stats" class="padd1">';
		$nopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_notif_opt'"));
		$nnb = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_notif_nb'"));
		echo '<input type="checkbox" id="notifopt" name="notifopt"';
		if($nopt['valeur']==1) { echo ' checked'; }
		echo ' /><label for="notifopt">Notification de visites lors de l\'inscription</label>, toutes les <input type="number" name="notifnb" class="number" value="'.$nnb['valeur'].'" /> visites<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="notif_valid" /></p></form>';
		echo '<form method="POST" name="stats2" action="#stats" class="padd1">';
		$srn_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_statcren_seuil'"));
		echo 'Seuil au-delà duquel séparer la présentation des niveaux<br>pour les stats par créneau : <input type="number" name="seuilrnb"  value="'.$srn_info['valeur'].'" style="width:6em;" /><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="seuilcren_valid" /></p></form>';

		echo '<hr class="param">';

		//OPTIONS DIVERSES
		echo '<h2 id="alii">Options diverses</h2>';
		//Gestion pour ces options
		if(isset($_POST['alii_valid'])) {
			if(isset($_POST['cienchoix'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_cienchoix'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_cienchoix'");
			}
			if(isset($_POST['classe'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_classe'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_classe'");
			}
			if(isset($_POST['chgtactiv'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_chgtactiv'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_chgtactiv'");
			}
			if(isset($_POST['jouhor'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_jhors'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_jhors'");
			}
			if(isset($_POST['appelchoix'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '2:1' WHERE param_nom = 'freq_appel'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1:1' WHERE param_nom = 'freq_appel'");
			}
			if(isset($_POST['buttonchoix'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_inscritbutton'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_inscritbutton'");
			}
			if(isset($_POST['pronote'])) {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1' WHERE param_nom = 'freq_inscritpronote'");
			}
			else {
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0' WHERE param_nom = 'freq_inscritpronote'");
			}
		}

		echo '<form method="POST" name="alii" action="#alii" class="padd1">';
		echo '<input type="checkbox" name="cienchoix" id="cienchoix"';
		$cienchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_cienchoix'"));
		if ($cienchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="cienchoix"> Choix du créneau possible pour les inscriptions</label><br>';
		echo '<input type="checkbox" name="classe" id="classe"';
		$classe_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_classe'"));
		if ($classe_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="classe"> Possibilité d\'inscrire par affichage de classe</label><br>';		
		echo '<input type="checkbox" name="chgtactiv" id="chgtactiv"';
		$chgtactiv_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_chgtactiv'"));
		if ($chgtactiv_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="chgtactiv"> Possibilité d\'opérer des modifications dans le journal</label><br>';
		echo '<input type="checkbox" name="jouhor" id="jouhor"';
		$jhors_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_jhors'"));
		if ($jhors_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="jouhor"> Option de visualisation des heures d\'inscriptions et de sorties dans le journal</label><br>';
		echo '<input type="checkbox" name="appelchoix" id="appelchoix"';
		$appelchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_appel'"));
		if (substr($appelchoix_info['valeur'],0,1)==2) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="appelchoix"> Signalement de l\'appel pour la consultation des inscriptions</label><br>';
		echo '<input type="checkbox" name="buttonchoix" id="buttonchoix"';
		$buttonchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_inscritbutton'"));
		if ($buttonchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="buttonchoix"> Affichage des boutons de sortie et d\'exclusion, des retards, en droits non administrateurs</label><br>';
		echo '<input type="checkbox" name="pronote" id="pronote"';
		$pronote_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_inscritpronote'"));
		if ($pronote_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="pronote"> Inscription par copié/collé depuis Pronote</label><br>';

		echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="alii_valid" /></p>';
		echo '</form>';
	}
}
else {
	include('include/noaccess.php');
	echo '<br><a href="./index.php">Accueil</a></p>';
}
?>
